Public Member Functions | Public Attributes | Friends | List of all members
GreatWksTextInternal::Zone Struct Reference

Internal and low level: structure which stores a text zone header for GreatWksText. More...

## Public Member Functions
| Zone ()
| constructor More...
bool | isMain () const
| returns true if this is the main zone More...
bool | ok () const
| check if the data read are or not ok More...
long | size () const
| returns the data size More...
bool | hasGraphics () const
| returns true if the data has graphic More...

## Public Attributes
int | m_type
| the main type: 1=auxi, 3=main More...
int | m_numFonts
| the number of fonts More...
int | m_numRulers
| the number of rulers More...
int | m_numLines
| the number of lines More...
int | m_numTokens
| the number of token More...
long | m_numChar
| the number of character More...
int | m_numCharPLC
| the number of char plc More...
int | m_numFrames
| the number of frames (ie. one by column and one by pages ) More...
std::vector< MWAWFont > | m_fontList
| the list of font More...
std::vector< MWAWParagraph > | m_rulerList
| the list of ruler More...
std::vector< Token > | m_tokenList
| the list of token More...
std::vector< Frame > | m_frameList
| the list of frame token More...
MWAWEntry | m_textEntry
| the text entry list More...
std::multimap< long, PLC > | m_posPLCMap
| a map text pos -> PLC More...
bool | m_parsed
| a bool to know if the data are send to the listener More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &fr)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a text zone header for GreatWksText.

## Constructor & Destructor Documentation

## ◆ Zone()

GreatWksTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasGraphics()

bool GreatWksTextInternal::Zone::hasGraphics | ( |  | ) | const
| inline

returns true if the data has graphic

Referenced by GreatWksText::canSendTextBoxAsGraphic().

## ◆ isMain()

bool GreatWksTextInternal::Zone::isMain | ( |  | ) | const
| inline

returns true if this is the main zone

Referenced by GreatWksText::createZones(), GreatWksText::numHFZones(), GreatWksText::numPages(), GreatWksText::sendHF(), GreatWksText::sendMainText(), and GreatWksText::sendZone().

## ◆ ok()

bool GreatWksTextInternal::Zone::ok | ( |  | ) | const
| inline

check if the data read are or not ok

Referenced by GreatWksText::readZone().

## ◆ size()

long GreatWksTextInternal::Zone::size | ( |  | ) | const
| inline

returns the data size

Referenced by GreatWksText::readZone().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | fr
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string GreatWksTextInternal::Zone::m_extra

extra data

Referenced by GreatWksText::readZone().

## ◆ m_fontList

std::vector<MWAWFont> GreatWksTextInternal::Zone::m_fontList

the list of font

Referenced by GreatWksText::sendZone().

## ◆ m_frameList

std::vector<Frame> GreatWksTextInternal::Zone::m_frameList

the list of frame token

Referenced by GreatWksText::numPages(), and GreatWksText::readZonePositions().

## ◆ m_numChar

long GreatWksTextInternal::Zone::m_numChar

the number of character

Referenced by GreatWksText::readZone().

## ◆ m_numCharPLC

int GreatWksTextInternal::Zone::m_numCharPLC

the number of char plc

Referenced by GreatWksText::readZone().

## ◆ m_numFonts

int GreatWksTextInternal::Zone::m_numFonts

the number of fonts

Referenced by GreatWksText::readZone().

## ◆ m_numFrames

int GreatWksTextInternal::Zone::m_numFrames

the number of frames (ie. one by column and one by pages )

Referenced by GreatWksText::readZone(), and GreatWksText::readZonePositions().

## ◆ m_numLines

int GreatWksTextInternal::Zone::m_numLines

the number of lines

Referenced by GreatWksText::readZone(), and GreatWksText::readZonePositions().

## ◆ m_numRulers

int GreatWksTextInternal::Zone::m_numRulers

the number of rulers

Referenced by GreatWksText::readZone().

## ◆ m_numTokens

int GreatWksTextInternal::Zone::m_numTokens

the number of token

Referenced by GreatWksText::readZone().

## ◆ m_parsed

bool GreatWksTextInternal::Zone::m_parsed
| mutable

a bool to know if the data are send to the listener

Referenced by GreatWksText::flushExtra(), and GreatWksText::sendZone().

## ◆ m_posPLCMap

std::multimap<long,PLC> GreatWksTextInternal::Zone::m_posPLCMap

a map text pos -> PLC

Referenced by GreatWksText::readZonePositions(), and GreatWksText::sendZone().

## ◆ m_rulerList

std::vector<MWAWParagraph> GreatWksTextInternal::Zone::m_rulerList

the list of ruler

Referenced by GreatWksText::sendZone().

## ◆ m_textEntry

MWAWEntry GreatWksTextInternal::Zone::m_textEntry

the text entry list

Referenced by GreatWksText::sendZone().

## ◆ m_tokenList

std::vector<Token> GreatWksTextInternal::Zone::m_tokenList

the list of token

Referenced by GreatWksText::sendZone().

## ◆ m_type

int GreatWksTextInternal::Zone::m_type

the main type: 1=auxi, 3=main

Referenced by GreatWksText::readZone().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx